#!/usr/bin/env bash

for file in "$@"
do
    framerate=$(ffmpeg -i $file 2>&1 | sed -n "s/.*, \(.*\) fp.*/\1/p")
    filename=$(echo $file | cut -d'.' -f1)
    #echo $framerate
    mkdir $filename
    fn=$(basename $file | cut -d'.' -f1)
    filename2="${fn}_"
    ffmpeg -i $file -r $framerate "$filename/"$filename2%04d.png""
done
